summaryrefslogtreecommitdiff
path: root/alpine/fstab.sh
diff options
context:
space:
mode:
Diffstat (limited to 'alpine/fstab.sh')
-rwxr-xr-xalpine/fstab.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/alpine/fstab.sh b/alpine/fstab.sh
new file mode 100755
index 0000000..2085999
--- /dev/null
+++ b/alpine/fstab.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+#
+# Copyright (C) 2025-2026 Maria Lisina
+# SPDX-License-Identifier: Apache-2.0
+#
+# fstab configuration
+
+set -e
+
+__boot="$(blkid -o value -s UUID /dev/${1}1)"
+__root="$(blkid -o value -s UUID /dev/${1}2)"
+
+cat << EOF > /etc/fstab
+UUID=${__root} / ext4 defaults 0 1
+UUID=${__boot} /boot vfat defaults 0 2
+EOF